"use client"

import { Prisma } from "@prisma/client";
import { useRouter } from "next/navigation";
import { startTransition } from "react";
import { Icons } from "./icons";
import { Button } from "./ui/button";
import Link from "next/link";

type commentType = Prisma.CommentUncheckedCreateInput
type postType = Prisma.PostSelect

export default function CommentButton(props: { data: any }) {

    const postid = props.data.id
    const replyCount = props.data.Comment.length

    return (
        <div>
            <Link href={`/home/${postid}`}>
                <Button type="submit" variant="ghost" size="lg" className="float-right" >
                    {replyCount}
                    <Icons.messagecircle className="h-3 w-3" />
                </Button>
            </Link>
        </div>
    )
}